GnuPrivateKeyring (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.keyring.GnuPrivateKeyring,GnuPrivateKeyring class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.keyring
Class GnuPrivateKeyring

    java.lang.Object
      |
      +--gnu.crypto.keyring.BaseKeyring
            |
            +--gnu.crypto.keyring.GnuPrivateKeyring

All Implemented Interfaces:
  IKeyring, IPrivateKeyring

public class GnuPrivateKeyring
extends BaseKeyring
implements IPrivateKeyring

.

Field Summary
`protected java.lang.String` | `cipher`
`protected int` | `keylen`
`protected java.lang.String` | `mac`
`protected int` | `maclen`
`protected java.lang.String` | `mode`
`static int` | `USAGE`

Fields inherited from class gnu.crypto.keyring.BaseKeyring
`keyring, keyring2`

Fields inherited from interface gnu.crypto.keyring.IKeyring
`KEYRING_DATA_IN, KEYRING_DATA_OUT, KEYRING_PASSWORD`

Constructor Summary
`GnuPrivateKeyring()`
`GnuPrivateKeyring(java.lang.String mac, int maclen, java.lang.String cipher, java.lang.String mode, int keylen)`

Method Summary
`boolean` | `containsCertPath(java.lang.String alias)` Checks if this keyring contains a certificate path with the given `alias`.
`boolean` | `containsPrivateKey(java.lang.String alias)` Tests if this keyring contains a private key entry with the given `alias`.
`boolean` | `containsPublicKey(java.lang.String alias)` Checks if this keyring contains a public key with the given `alias`.
`java.security.cert.Certificate[]` | `getCertPath(java.lang.String alias)` Returns the certificate path with the given `alias`, or `null` if there is no such entry.
`java.security.Key` | `getPrivateKey(java.lang.String alias, char[] password)` Returns the private key with the given `alias`.
`java.security.PublicKey` | `getPublicKey(java.lang.String alias)` Returns the public key with the given `alias`, or `null` if there is no such entry.
`protected void` | `load(java.io.InputStream in, char[] password)`
`void` | `putCertPath(java.lang.String alias, java.security.cert.Certificate[] path)` Sets a certificate path entry.
`void` | `putPrivateKey(java.lang.String alias, java.security.Key key, char[] password)` Adds a private key to this keyring.
`void` | `putPublicKey(java.lang.String alias, java.security.PublicKey key)` Sets a public key entry.
`protected void` | `store(java.io.OutputStream out, char[] password)`

Methods inherited from class gnu.crypto.keyring.BaseKeyring
`add, aliases, containsAlias, fixAlias, get, load, remove, reset, size, store`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface gnu.crypto.keyring.IKeyring
`add, aliases, containsAlias, get, load, remove, reset, size, store`

Field Detail

### USAGE

    public static final int USAGE

See Also:
  Constant Field Values

### mac

    protected java.lang.String mac

### maclen

    protected int maclen

### cipher

    protected java.lang.String cipher

### mode

    protected java.lang.String mode

### keylen

    protected int keylen

Constructor Detail

### GnuPrivateKeyring

    public GnuPrivateKeyring(java.lang.String mac,
                             int maclen,
                             java.lang.String cipher,
                             java.lang.String mode,
                             int keylen)

### GnuPrivateKeyring

    public GnuPrivateKeyring()

Method Detail

### containsPrivateKey

    public boolean containsPrivateKey(java.lang.String alias)

  Description copied from interface: `IPrivateKeyring`

  Tests if this keyring contains a private key entry with the given `alias`.

  Specified by:
    `containsPrivateKey` in interface `IPrivateKeyring`
  Parameters:
    `alias` - The alias to check.
  Returns:
    `true` if this keyring contains a private key with the given `alias`; `false` otherwise.

### getPrivateKey

    public java.security.Key getPrivateKey(java.lang.String alias,
                                           char[] password)
                                    throws java.security.UnrecoverableKeyException

  Description copied from interface: `IPrivateKeyring`

  Returns the private key with the given `alias`.

  Specified by:
    `getPrivateKey` in interface `IPrivateKeyring`
  Parameters:
    `alias` - The alias of the private key to find.
    `password` - The password of the private key.
  Returns:
    The private, or secret, key if one is found; `null` if none were found.
  Throws:
    `java.security.UnrecoverableKeyException` - If the private key could not be recovered, possibly due to a bad password.

### putPrivateKey

    public void putPrivateKey(java.lang.String alias,
                              java.security.Key key,
                              char[] password)

  Description copied from interface: `IPrivateKeyring`

  Adds a private key to this keyring.

  Specified by:
    `putPrivateKey` in interface `IPrivateKeyring`
  Parameters:
    `alias` - The alias of the private key.
    `key` - The private key.
    `password` - The password used to protect this private key.

### containsPublicKey

    public boolean containsPublicKey(java.lang.String alias)

  Description copied from interface: `IPrivateKeyring`

  Checks if this keyring contains a public key with the given `alias`.

  Specified by:
    `containsPublicKey` in interface `IPrivateKeyring`
  Parameters:
    `alias` - The alias to test.
  Returns:
    `true` if this keyring contains a public key entry with the given `alias`; `false` otherwise.

### getPublicKey

    public java.security.PublicKey getPublicKey(java.lang.String alias)

  Description copied from interface: `IPrivateKeyring`

  Returns the public key with the given `alias`, or `null` if there is no such entry.

  Specified by:
    `getPublicKey` in interface `IPrivateKeyring`
  Parameters:
    `alias` - The alias of the public key to find.
  Returns:
    The public key; or `null` if none were found.

### putPublicKey

    public void putPublicKey(java.lang.String alias,
                             java.security.PublicKey key)

  Description copied from interface: `IPrivateKeyring`

  Sets a public key entry.

  Specified by:
    `putPublicKey` in interface `IPrivateKeyring`
  Parameters:
    `alias` - The alias for this public key.
    `key` - The public key.

### containsCertPath

    public boolean containsCertPath(java.lang.String alias)

  Description copied from interface: `IPrivateKeyring`

  Checks if this keyring contains a certificate path with the given `alias`.

  Specified by:
    `containsCertPath` in interface `IPrivateKeyring`
  Parameters:
    `alias` - The alias to check.
  Returns:
    `true` if this keyring contains a certificate path with the given `alias`; `false` otherwise.

### getCertPath

    public java.security.cert.Certificate[] getCertPath(java.lang.String alias)

  Description copied from interface: `IPrivateKeyring`

  Returns the certificate path with the given `alias`, or `null` if there is no such entry.

  Specified by:
    `getCertPath` in interface `IPrivateKeyring`
  Parameters:
    `alias` - The alias of the certificate path to find.
  Returns:
    The certificate path for the designated `alias`; or `null` if none were found.

### putCertPath

    public void putCertPath(java.lang.String alias,
                            java.security.cert.Certificate[] path)

  Description copied from interface: `IPrivateKeyring`

  Sets a certificate path entry.

  Specified by:
    `putCertPath` in interface `IPrivateKeyring`
  Parameters:
    `alias` - The alias for this certificate path.
    `path` - The certificate path.

### load

    protected void load(java.io.InputStream in,
                        char[] password)
                 throws java.io.IOException

  Specified by:
    `load` in class `BaseKeyring`
    `java.io.IOException`

### store

    protected void store(java.io.OutputStream out,
                         char[] password)
                  throws java.io.IOException

  Specified by:
    `store` in class `BaseKeyring`
    `java.io.IOException`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.